Bug 199254 - [FTW] Build JavaScriptCore
Summary: [FTW] Build JavaScriptCore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CMake (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 199206
  Show dependency treegraph
 
Reported: 2019-06-26 18:02 PDT by Don Olmstead
Modified: 2019-06-28 12:42 PDT (History)
3 users (show)

See Also:


Attachments
Patch (9.21 KB, patch)
2019-06-26 18:46 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (9.21 KB, patch)
2019-06-26 18:57 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Olmstead 2019-06-26 18:02:00 PDT
Introduce WebKitFTW (For the Win(dows)) port which is OS(WINDOWS) + USE(CURL) + USE(DIRECTX)
Comment 1 Don Olmstead 2019-06-26 18:46:49 PDT
Created attachment 372990 [details]
Patch
Comment 2 EWS Watchlist 2019-06-26 18:49:36 PDT
Attachment 372990 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/PlatformFTW.cmake:13:  Alphabetical sorting problem. "PRIVATE Dbghelp # For symbol handling <dbghelp.h>" should be before "PUBLIC  Winmm   # For multimedia functions, also used in <timeapi.h>".  [list/order] [5]
Total errors found: 1 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Don Olmstead 2019-06-26 18:57:25 PDT
Created attachment 372991 [details]
Patch
Comment 4 Brent Fulgham 2019-06-26 19:29:20 PDT
Comment on attachment 372991 [details]
Patch

Yes! R=Me
Comment 5 Brent Fulgham 2019-06-26 19:30:10 PDT
(In reply to Build Bot from comment #2)
> Attachment 372990 [details] did not pass style-queue:
> 
> 
> ERROR: Source/WTF/wtf/PlatformFTW.cmake:13:  Alphabetical sorting problem.
> "PRIVATE Dbghelp # For symbol handling <dbghelp.h>" should be before "PUBLIC
> Winmm   # For multimedia functions, also used in <timeapi.h>".  [list/order]
> [5]
> Total errors found: 1 in 7 files
> 
> 
> If any of these errors are false positives, please file a bug against
> check-webkit-style.

I don’t think this is a helpful warning.
Comment 6 EWS Watchlist 2019-06-26 21:38:47 PDT
Comment on attachment 372991 [details]
Patch

Attachment 372991 [details] did not pass jsc-ews (mac):
Output: https://webkit-queues.webkit.org/results/12588021

New failing tests:
exceptionFuzz.yaml/exceptionFuzz/date-format-xparb.js.exception-fuzz
apiTests
Comment 7 Brent Fulgham 2019-06-27 09:23:17 PDT
Comment on attachment 372991 [details]
Patch

There is no way a set of FTW-specific make files has any impact on JSC tests.
Comment 8 WebKit Commit Bot 2019-06-27 09:54:15 PDT
Comment on attachment 372991 [details]
Patch

Clearing flags on attachment: 372991

Committed r246884: <https://trac.webkit.org/changeset/246884>
Comment 9 WebKit Commit Bot 2019-06-27 09:54:17 PDT
All reviewed patches have been landed.  Closing bug.